Bug 961402 - Review Request: mingw-giflib - MinGW Windows giflib library
Summary: Review Request: mingw-giflib - MinGW Windows giflib library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-09 14:48 UTC by Sandro Mani
Modified: 2013-07-20 09:51 UTC (History)
4 users (show)

Fixed In Version: mingw-giflib-4.1.6-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:44:34 UTC
erik-fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2013-05-09 14:48:12 UTC
Spec URL: http://smani.fedorapeople.org/mingw-giflib.spec
SRPM URL: http://smani.fedorapeople.org/mingw-giflib-4.1.6-1.fc20.src.rpm
Description: MinGW Windows giflib library
Fedora Account System Username: smani

Comment 1 Erik van Pienbroek 2013-05-31 14:30:51 UTC
Taking for review

Only one remark: The mingw_build_win32/mingw_build_win64 globals don't have to be set any more

Comment 2 Erik van Pienbroek 2013-05-31 14:32:50 UTC
The BR: mingw32-filesystem mingw64-filesystem needs to be versioned to >= 95

Comment 3 Sandro Mani 2013-06-01 22:23:31 UTC
Spec URL: http://smani.fedorapeople.org/mingw-giflib.spec
SRPM URL: http://smani.fedorapeople.org/mingw-giflib-4.1.6-2.fc20.src.rpm

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 4.1.6-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

Comment 4 Erik van Pienbroek 2013-07-07 17:57:02 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5582835

$ rpmlint mingw-giflib.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-giflib-4.1.6-2.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-giflib-4.1.6-2.fc19.noarch.rpm mingw32-giflib-static-4.1.6-2.fc19.noarch.rpm mingw32-giflib-tools-4.1.6-2.fc19.noarch.rpm mingw64-giflib-4.1.6-2.fc19.noarch.rpm mingw64-giflib-static-4.1.6-2.fc19.noarch.rpm mingw64-giflib-tools-4.1.6-2.fc19.noarch.rpm 
mingw32-giflib-static.noarch: W: no-documentation
mingw32-giflib-tools.noarch: W: no-documentation
mingw64-giflib-static.noarch: W: no-documentation
mingw64-giflib-tools.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 4 warnings.


$ rpm --query --requires mingw32-giflib
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 95
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(msvcrt.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-giflib
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 95
mingw64(kernel32.dll)
mingw64(msvcrt.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-giflib-static
mingw32-giflib = 4.1.6-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-giflib-static
mingw64-giflib = 4.1.6-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-giflib-tools
mingw32-giflib = 4.1.6-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 95
mingw32(kernel32.dll)
mingw32(libgif-4.dll)
mingw32(msvcrt.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-giflib-tools
mingw64-giflib = 4.1.6-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 95
mingw64(kernel32.dll)
mingw64(libgif-4.dll)
mingw64(msvcrt.dll)
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-giflib
mingw32-giflib = 4.1.6-2.fc19
mingw32(libgif-4.dll)

$ rpm --query --provides mingw64-giflib
mingw64-giflib = 4.1.6-2.fc19
mingw64(libgif-4.dll)

$ rpm --query --provides mingw32-giflib-static
mingw32-giflib-static = 4.1.6-2.fc19

$ rpm --query --provides mingw64-giflib-static
mingw64-giflib-static = 4.1.6-2.fc19

$ rpm --query --provides mingw32-giflib-tools
mingw32-giflib-tools = 4.1.6-2.fc19

$ rpm --query --provides mingw64-giflib-tools
mingw64-giflib-tools = 4.1.6-2.fc19


$ wget --quiet http://downloads.sourceforge.net/giflib/giflib-4.1.6.tar.bz2 -O - | md5sum
7125644155ae6ad33dbc9fc15a14735f  -
$ md5sum giflib-4.1.6.tar.bz2 
7125644155ae6ad33dbc9fc15a14735f  giflib-4.1.6.tar.bz2


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[!] Requires of the binary mingw32 and mingw64 packages are equal


The mingw32 package seems to depend on libgcc_s_sjlj-1.dll while the mingw64
package doesn't. I've also seen this on various other packages so we can
ignore this for now

================================================
 The package mingw-giflib is APPROVED by epienbro
================================================

Comment 5 Sandro Mani 2013-07-07 18:38:21 UTC
Thanks Erik!

New Package SCM Request
=======================
Package Name: mingw-giflib
Short Description: MinGW Windows giflib library
Owners: smani
Branches: f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-07-07 19:13:32 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-07-07 20:14:08 UTC
mingw-giflib-4.1.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-giflib-4.1.6-2.fc19

Comment 8 Fedora Update System 2013-07-07 20:16:16 UTC
mingw-giflib-4.1.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-giflib-4.1.6-2.fc18

Comment 9 Fedora Update System 2013-07-09 01:27:27 UTC
mingw-giflib-4.1.6-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 10 Fedora Update System 2013-07-20 09:44:34 UTC
mingw-giflib-4.1.6-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-07-20 09:51:43 UTC
mingw-giflib-4.1.6-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.